/// Attempting to segment a file that does not contain any video streams.
#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct InvalidSourceVideo {
    #[builder(into)]
    #[serde(rename = "videoPath")]
    video_path: String,
}
impl InvalidSourceVideo {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(video_path: impl Into<String>) -> Self {
        Self::builder().video_path(video_path).build()
    }
    #[inline]
    pub fn video_path(&self) -> &str {
        &*self.video_path
    }
}
impl conjure_error::ErrorType for InvalidSourceVideo {
    #[inline]
    fn code() -> conjure_error::ErrorCode {
        conjure_error::ErrorCode::InvalidArgument
    }
    #[inline]
    fn name() -> &'static str {
        "VideoSegmenter:InvalidSourceVideo"
    }
    #[inline]
    fn safe_args() -> &'static [&'static str] {
        &["videoPath"]
    }
}
